/*
 * LED.h
 *
 * Created: 26.02.2013 14:04:47
 *  Author: Stefan Rttimann
 */ 

#ifndef LED_h
#define LED_h

#include <avr/io.h>
#include <avr/interrupt.h>
#include <inttypes.h>


#define Fehler	0b10000000		//Stelle des LEDs an MC-Port (1=leuchten)
#define GFDEr 	0b01000000		//Stelle des LEDs an MC-Port (1=leuchten)
#define HVlow	0b00100000		//Stelle des LEDs an MC-Port (1=leuchten)
#define LVlow	0b00010000		//Stelle des LEDs an MC-Port (1=leuchten)
#define Accutmp	0b00001000		//Stelle des LEDs an MC-Port (1=leuchten)
#define Motor	0b00000100		//Stelle des LEDs an MC-Port (1=leuchten)
#define BMSEr	0b00000001		//Stelle des LEDs an MC-Port (1=leuchten)


// ************************ */

void InitLED(void);
void SetLED_Green (uint8_t);
void SetLED_Red (uint8_t);

#endif
