/*
 * Switch_Lenk.c
 *
 * Created: 26.02.2013 14:04:47
 *  Author: Stefan Rttimann
 */ 

#include "Switch_Lenk.h"
#include <avr/io.h>

uint8_t getSwitchStateLenk(uint8_t sw)
{
	return ~(PIND | sw);			//Schalter gedrckt, returnwert = 1 an der Stelle des Schalters
}

void InitSwitchLenk (void)
{
	DDRD &= 0b11110000;				//Input == 0
	PORTD |= 0b00001111;			//Pullup on
}
