/*
 * Switch_Lenk.h
 *
 * Created: 26.02.2013 14:04:47
 *  Author: Stefan Rttimann
 */ 

#ifndef switchlenk_h
#define switchlenk_h

#include <avr/io.h>


#define SW_FL1		0b11110111		//Stelle des Schalters an MC-Port (0=gedrckt)
#define SW_FL2		0b11111011		//Stelle des Schalters an MC-Port (0=gedrckt)
#define SW_PLUS		0b11111101		//Stelle des Schalters an MC-Port (0=gedrckt)
#define SW_MINUS	0b11111110		//Stelle des Schalters an MC-Port (0=gedrckt)

uint8_t getSwitchState(uint8_t);
void InitSwitch (void);



#endif
