/*
 * Switch_Dash.c
 *
 * Created: 26.02.2013 14:04:47
 *  Author: Stefan Rttimann
 */ 

#include "Switch_Dash.h"
#include <avr/io.h>

uint8_t getSwitchStateDash(uint8_t sw)
{
	return ~(PINE | sw);			//Schalter gedrckt, returnwert = 1 an der Stelle des Schalters
}

void InitSwitchDash (void)
{
	DDRE &= 0b00000011;				//Input == 0
	PORTE |= 0b11111100;			//Pullup on
}
