/*
 * Switch_Dash.h
 *
 * Created: 26.02.2013 14:04:47
 *  Author: Stefan Rttimann
 */ 

#ifndef switchdash_h
#define switchdash_h

#include <avr/io.h>


#define SW_Reserve	0b11111011		//Stelle des Schalters an MC-Port (0=gedrckt)
#define SW_TS_St	0b11110111		//Stelle des Schalters an MC-Port (0=gedrckt)
#define SW_TC		0b11101111		//Stelle des Schalters an MC-Port (0=gedrckt)
#define SW_TV		0b11011111		//Stelle des Schalters an MC-Port (0=gedrckt)
#define SW_Recup	0b10111111		//Stelle des Schalters an MC-Port (0=gedrckt)
#define SW_Kobi		0b01111111		//Stelle des Schalters an MC-Port (0=gedrckt)

uint8_t getSwitchState(uint8_t);
void InitSwitch (void);



#endif
